• 締切済み
  • 暇なときにでも

gnuplot4.2パッケージが置いてあるサイトを教えてください。

centOS5.3にoctaveを入れようとしています。 http://blog.be55.com/pc/linux/ のサイトを参考にインストールを始めましたが、gnuplot4.2が必要なようです。しかし、このサイトが薦めるリンクが切れているようで、4.2のパッケージがダウンロードできません。 誰かgnuplot4.2パッケージが置いてあるサイトをご存じの方がいたら教えてください。 よろしくお願いします。

共感・応援の気持ちを伝えよう!

  • 回答数1
  • 閲覧数180
  • ありがとう数2

みんなの回答

  • 回答No.1

ザーっと見てみたんですが、RPMでしょ?CentOSのリポジトリには用意されていない? バイナリが公式ページに置いてないところを見ると、tarball手に入れて独自にビルドするしかないんじゃないですかね? gnuplot: http://www.gnuplot.info/

共感・感謝の気持ちを伝えよう!

質問者からのお礼

回答ありがとうございます。 tarball入れてやったりするとめんどくさそうなので、 新たに見つけた以下のサイトでgnuplot4.2を入れることができました。 http://wikiwiki.jp/wakitasg/?CentOS%205#ye6c0c7f (真ん中あたりgnuplotのところ) しかし、 line 0: undefined variable: in line 0: undefined variable: in line 0: undefined variable: in line 0: undefined variable: lw が出てきて、前述のoctaveのインストールサイトで書いてある通りのエラーメッセージが出てきてしまいました。 gnuplotのみを起動させてバージョン確認すると、ちゃんと4.2になっています。 原因がわかればよろしくお願いします。

関連するQ&A

  • Macにおけるgnuplotのインストールについて

    gnuplot4.0.0のdmgをダウンロードして、Macにインストールして、ターミナルで起動したら、 Launch of "gnuplot" failed: the PowerPC architecture is no longer supported. と言われて、起動できません。 これ以前にgnuplot4.6.0(?)を一回インストールして、アンインストールしています。 これはOctaveを導入しようとしてgnuplotの読み出しがうまくいかなかった(AquaTermがないと言われた)ので一回gnuplot4.6.0を削除して、AquaTerm1.1.0をインストールしました。 その後に古いバージョンの方がたぶんいいだろうと思い、gnuplot4.0.0をインストールした。 というような経緯です。 よろしくお願いします。 Mac:Mac OS X Lion 10.7.4

    • ベストアンサー
    • Mac
  • GNU版JAVAは使えないですか?

    centOS5をインストールしてJAVAの環境を構築しようと思っています。 centOSはGUI的に比較的簡単に操作できます。 インストール自体は「ソフトウェアの追加/削除」から「開発」、「Java環境」を選択するだけで完了します。 それをベースに設定を調べていますが、 どのサイトでも、 「centOSにはデフォルトではGNU版JAVAが入っている事があるので、これを削除しSUN版JAVAをインストールします」 といった事を書いています。 GNU版JAVAとはそんなに邪魔なモノなのでしょうか? GUI的に簡単にインストールする流れで活用する事は推奨されない事なのでしょうか? centOS5のGNU版JAVAを活用する方法を書いたサイトがあれば紹介して下さい。

  • 【linux】GNU gccのインストール方法

    linuxでGNUのgccをインストールしてプログラミングの勉強を行おうと思っているのですが、インストール方法がわかりません。ちなみに自分はLinuxやUnixの知識はないに等しいレベルです。 少し調べてみたのですが、どこのページを見ても「GNUのページに行ってダウンロード、インストールする」としか書いていません。 どのファイル(具体的なファイル名を知りたい)をダウンロードして、どのような手順でインストールするのか詳しく書いてあるページを参考にしてインストール作業をすすめたいのですが、そのような解説ページ(日本語)をご存知でしたら教えてください。

  • GNUのmakeのインストールについて

    いつもお世話になっております。 質問のカテゴリに迷ったのですが、 こちらの方が専門の方が多いと思いまして、質問させていただきます。 カテゴリに迷った理由というのは、現在ノートパソコン(VAIO)のWin98にcygwinというUNIX環境をインストールしております。 LINUXの勉強を始めたいと思っていたのですが、もう一台LINUXようのPCを買う予算が無く、現在の環境に至りました。 本題に入ります。 cygwinにインストールされているのはgmakeという物らしいのですが、これをGNUのmakeに変更することは可能なのでしょうか? 質問自体的外れかもしれませんが、可能ならば、具体的な方法を教えていただきたいのですが・・・ GNUのftpサイトから既にmake-3.79.tar.gzはダウンロード済みで、解凍まではできております。 また、あつかましく、もう一点質問させていただきたいのですが、cygwinでpostgresqlなんてインストールできるのでしょうか? READMEやサイトを翻訳して読みました。 正直makeという物が何なのかいまいちピンとこないのですが、インストールの時に使うというぐらいしか今のところ わかりませんでした。 的外れな質問でしたら申し訳ありません。よろしくお願いします。

  • RedHat Linux Enterprise ES(ver3)のパッケージを最新化したい

    現在、RedHat Linux Enterprise ES(ver3)のインストールが完了した状態です。 インストール時に入れたパッケージを全て最新化したいのですが、これは手動でrpmを全てダウンロードし、インストールしていく必要があるのでしょうか。 CentOSみたく、yumコマンドで一括アップデートする事はできないのでしょうか。

  • LINUXパッケージ管理

    LPIC1の勉強をしています。 業務で簡単なコマンド(viやファイル操作)は使っているのですが ブートマネージャ、ディストリビューションのインストールやパッケージ管理などは 経験したことがなく、まったくピンとこない状態なので 仮想マシンを利用して実際に管理コマンドを試そうとしているところですが 何から始めればいいかわかりません。 実際、インストールも、教科書についているCDからイメージファイルを コピーして解凍するだけで終わってしまいました。 インストールコマンド、パッケージ管理コマンドを練習するには どのような環境が必要になるのでしょうか? ちなみに「翔泳社LPIC教科書」、「基礎からのLINUX」、「LINUX標準教科書」に 目を通したのですがよくわかりませんでした。 VMWareにはCentOs5.2が入っていてWindows7の64bitで動かしています。 そもそもパッケージのインストールのことを たとえばWindowsのメーラーやブラウザなどのソフトウェアを説明書も含めて ダウンロード、インストールすることだと思っているのですが違うでしょうか? そうだとしたらCUIベースで自分に必要なパッケージはどのようにして調べるのでしょうか? 的外れな質問だったらすいません。 よろしくお願いします。

  • octave on Cygwin

    windows XP でoctave を使いたいと思っています。 そこで、cygwin およびoctave のパッケージをインストールしました。 以下のサイトを参考にしました。 http://www.f.waseda.jp/ykondo/ja/comp/octave.html インストールは無事、終了したのですが、 cygwin のコマンドプロンプトからoctaveと入力しても、 octave が起動することなく、プロンプトが返ってきてしまいます。 どなたか、アドバイス頂けないでしょうか? よろしくお願いします。

  • CentOS5のパッケージインストールについて

    Linux初心者です。 現在、CentOS5.1をインストールしてxemacsをrpmからインストール しようとしているのですが該当するrpmパッケージを見つけだすこと ができずにいます。rpmからインストールすることはできますでしょうか。 また、ソースからインストールを試みたのですが、xemacs起動後に日本語に変換しようとしても変換ができません。 これらの原因についてご存知の方いらっしゃいましたらお教えいただけないでしょうか。よろしくお願いいたします。

  • パッケージアップデーター

    CentOS5.1で、パッケージアップデーターが失敗します。 OSをインストールした直後に、更新が表示されアップデートをするのですが、途中で「ダウンロード中にエラー」と表示され先に進めません。 ググってみたのですが、適切な内容が見つからず困っています。 対処方法をご教示ください。

  • Linuxのパッケージ管理について

    Linuxのパッケージ管理について Ubuntuでダウンロードしてきたパッケージで、拡張子が[ tar.gz]のものはどうしたら使えるようになるのでしょう?(インストールの仕方など) そのコマンドと使い方を教えていただきたいです。(説明書は英語で分かりません)